package net.teufel.javafx;

import java.io.IOException;
import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.stage.Stage;

public class HelloWorldFxml extends Application {

	@Override
	public void start(Stage primaryStage) {
		primaryStage.setTitle("FXML Hello World Application");
		  try {
			  Scene scene = (Scene)FXMLLoader.load(getClass().getResource("HelloWorldFxml.fxml"));
			  scene.getStylesheets().add(getClass().getResource("design.css").toExternalForm());
			  primaryStage.setScene(scene);
		  } catch (IOException e) {
			  e.printStackTrace();
		  }
		  
		  primaryStage.show();
	}

	public static void main(String[] args) {
		launch(args);
	}
}
